View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000540Ecere SDKidepublic2010-08-08 15:432013-08-07 03:33
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000540: ide: find in files: After New Project, Still defaults to 'Directory'
DescriptionThe Find in Files dialog still defaults to 'directory' after creating a new project (but that was fixed when opening a project).

Isn't the code for that centralized?
TagsNo tags attached.
Attached Files

- Relationships
related to 0000882closedredj Adopt JSON for Workspace (.ews) files 

-  Notes
(0000785)
redj (administrator)
2013-05-04 03:01
edited on: 2013-05-22 23:24

changes in https://github.com/ecere/sdk/commit/ad4eef88eeb53b3d35a562d936896b9299772b3d [^]
but problem still occurs

(0000839)
jerome (administrator)
2013-05-20 20:56

I'm getting this easily in our 'request' branch:

Alt-P, N, Ctrl-Shift-F
(0000840)
redj (administrator)
2013-05-21 00:09
edited on: 2013-05-21 00:11

I want to fix this by updating the find in files dialog in a Workspace::AddProject method which exists in my json branch
s/projects.Add/.AddProject/
remove code that update fif dialog from OpenFile

we need to figure out what's wrong with my ide-jsonWorkspace branch so that I don't introduce tons of conflicts by doing similar work here to fix this issue

help with the memory issue with json parser or whatnot?

(0000842)
redj (administrator)
2013-05-21 17:30
edited on: 2013-05-22 23:25

fixed by https://github.com/ecere/sdk/commit/c84614376239dd327bf07a741326ce6311ac0376 [^]


- Issue History
Date Modified Username Field Change
2010-08-08 15:43 jerome New Issue
2010-08-08 15:43 jerome Status new => assigned
2010-08-08 15:43 jerome Assigned To => redj
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-24 03:18 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-04-24 20:25 jerome Assigned To redj =>
2013-04-27 06:08 redj Status assigned => new
2013-04-27 06:09 jerome Status new => assigned
2013-04-27 06:09 jerome Assigned To => redj
2013-05-04 03:01 redj Note Added: 0000785
2013-05-04 03:01 redj Status assigned => feedback
2013-05-04 04:09 jerome Status feedback => assigned
2013-05-04 04:09 jerome Assigned To redj => jerome
2013-05-20 20:56 jerome Note Added: 0000839
2013-05-20 20:56 jerome Assigned To jerome => redj
2013-05-20 22:57 redj Note Edited: 0000785
2013-05-21 00:09 redj Note Added: 0000840
2013-05-21 00:11 redj Note Edited: 0000840
2013-05-21 17:30 redj Status assigned => resolved
2013-05-21 17:30 redj Fixed in Version => 0.44.1 64
2013-05-21 17:30 redj Resolution open => fixed
2013-05-21 17:30 redj Note Added: 0000842
2013-05-21 17:31 redj Relationship added related to 0000882
2013-05-22 20:19 jerome Status resolved => closed
2013-05-22 23:24 redj Note Edited: 0000785
2013-05-22 23:25 redj Note Edited: 0000842
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker